﻿namespace TestProject;

/// <summary>
/// 메인 페이지
/// </summary>
public partial class MainPage : ContentPage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainPage()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        Gyroscope.ReadingChanged += gyroscope_ReadingChanged;
        this.startButton.Clicked += startButton_Clicked;
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Private

    #region 자이로스코프 읽기 변경시 처리하기 - gyroscope_ReadingChanged(sender, e)

    /// <summary>
    /// 자이로스코프 읽기 변경시 처리하기
    /// </summary>
    /// <param name="sender">이벤트 발생자</param>
    /// <param name="e">이벤트 인자</param>
    private void gyroscope_ReadingChanged(object sender, GyroscopeChangedEventArgs e)
    {
        this.label.Text = $"자이로스코프 : {e.Reading}";
    }

    #endregion
    #region 시작 버튼 클릭시 처리하기 - startButton_Clicked(sender, e)

    /// <summary>
    /// 시작 버튼 클릭시 처리하기
    /// </summary>
    /// <param name="sender">이벤트 발생자</param>
    /// <param name="e">이벤트 인자</param>
    private void startButton_Clicked(object sender, EventArgs e)
    {
        if(Gyroscope.IsMonitoring)
        {
            Gyroscope.Stop();

            this.startButton.Text = "시작";

            this.label.Text = string.Empty;
        }
        else
        {
            this.startButton.Text = "중단";

            Gyroscope.Start(SensorSpeed.UI);
        }
    }

    #endregion
}